Page 1 of 10 123 ... LastLast
Results 1 to 10 of 98

Thread: ATI mobility Radeon HD 5470

  1. #1
    Join Date
    Mar 2010
    Beans
    1

    Cool ATI mobility Radeon HD 5470

    Good morning,

    I have a new asus laptop and I have installed ubuntu KArmic.
    The problem is that there is no driver for the ATI mobility radeon HD5470
    and the graphic is so bad!

    On amd-ati website I have found the catalyst driver version 10.2 but
    it seems not to be the correct solution.

    Do you have any suggestion?
    If there is not the driver for ubuntu, do you think we have to wait
    for a long time?

    Thanks in advance
    Regards.

  2. #2
    Join Date
    Nov 2008
    Beans
    40
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: ATI mobility Radeon HD 5470

    Hello, I too have the same GPU in my new Sony Vaio. Luckily the screen resolution is OK for the moment, but it would be nice to have the correct driver, so I can enable compiz etc.

    My post - http://ubuntuforums.org/showthread.p...Radeon+HD+5470

    Let's hope there is a driver in Lucid

  3. #3
    Join Date
    Feb 2007
    Beans
    21

    Re: ATI mobility Radeon HD 5470

    Hey there guys. I had the exact same problem.
    I got the ASUS K72JR-A1 (amazing laptop). I kept reading the forums until I realized the pattern that was fixing the issue.

    There is something off about Catalyst 10.2 and I could never get it to work. Here are the steps that fixed it (going to get into detail for new users):

    • EDIT: First sudo update-pciids
    • Then go and download Catalyst 10.1 from ati.com. This can be done here - http://support.amd.com/us/gpudownloa...eon_linux.aspx
    • chmod +x ati-driver-installer-10-1-x86.x86_64.run
    • sudo ./ati-driver-installer-10-1-x86.x86_64.run
    • If you don't have jockey installed (the proprietary hardware manager) sudo apt-get install jockey-common.
    • then sudo jockey-text -l which should list your adapter. In my case the first column said "xorg:fglrx"
    • sudo jockey-text -e xorg:fglrx When you restart after this step, you will get an irritating "AMD unsupported hardware" (stupid AMD, can't see a REAL reason they even did that aside from the fact that they got crap for brains).
    • The fix for the watermark is to create a file (e.g. "wm.sh") and paste the quoted text below:

      #!/bin/sh
      DRIVER=/usr/lib/xorg/modules/drivers/fglrx_drv.so
      for x in $(objdump -d $DRIVER|awk '/call/&&/EnableLogo/{print "\\x"$2"\\x"$3"\\x"$4"\\x"$5"\\x"$6
      }'); do
      echo found $x
      sed -i "s/$x/\x90\x90\x90\x90\x90/g" $DRIVER
      done
    • Then chmod +x wm.sh
    • Followed by sudo ./wm.sh
    • Restart your box and you are good. Compiz should work at this stage. The Catalyst control center should be functional as well.


    IMPORTANT: After you do this, and if you are using Gnome, your Ethernet (that worked perfectly before) might screw up and there is apparently a fix for it (I use KDE because it's BETTER) and I don't have the problem. If I boot into Gnome, it doesn't work. And let's hope that ATI releases proper mobility support in Catalyst 10.3 as promised. Though Sony and a few other snobby companies have opted out of having their hardware support (for what reason? no fscking clue).

    Link for Ethernet fix for ubuntu was somewhere around the forum and i can't seem to find it again.

    If this works for you, or there are issue, post back here and I'll get the email notification and try to help

    UPDATE: You might have to run sudo update-pciids before you start these steps
    Last edited by crypto2600; April 12th, 2010 at 08:43 PM.

  4. #4
    Join Date
    Apr 2005
    Beans
    4

    Re: ATI mobility Radeon HD 5470

    Amazing solution, thank you very much, it works flawless on Catalyst 10.3 form my Asus N61JQ.

  5. #5
    Join Date
    Feb 2007
    Beans
    21

    Re: ATI mobility Radeon HD 5470

    Quote Originally Posted by zeusave View Post
    Amazing solution, thank you very much, it works flawless on Catalyst 10.3 form my Asus N61JQ.
    You are welcome. It baffles me that there is HT 5000 support for windoze in C10.3, but for some reason the parallel Linux driver had that left out.

    ATI didn't get any better with AMD buying it.

  6. #6
    Join Date
    Aug 2007
    Beans
    9

    Re: ATI mobility Radeon HD 5470

    this doesent seems to work with 10.3 on Ubuntu 10.04 beta
    the closed source driver is loaded automatically after install, but aticonfig reports unsupported card, and compiz fails to start.

    mplayer also crash when I choose opengl output ...

    I'll try with 10.1 and report back

  7. #7
    Join Date
    Aug 2007
    Beans
    9

    Re: ATI mobility Radeon HD 5470

    Just an update:
    10.3 seems in fact to fix this problem.
    For ubuntu 10.04 beta users, you should install the fglrx package.
    to see if everything is going ok, run the command fgrlxinfo
    If you got a segmentation error, "sudo aticonfig --initial" should help

    finally, if you cant find the AMD configuration control center, you can find it here:
    /usr/lib/fglrx/bin/amdcccle

    I got these information from various forums, they helped me, and I hope they will help you ...

  8. #8
    Join Date
    Mar 2010
    Beans
    1

    Re: ATI mobility Radeon HD 5470

    Thanks!!! You are a life saver! The solution works GREAT

  9. #9
    Join Date
    Nov 2008
    Beans
    38

    Re: ATI mobility Radeon HD 5470

    Quote Originally Posted by karatchov View Post
    Just an update:
    10.3 seems in fact to fix this problem.
    For ubuntu 10.04 beta users, you should install the fglrx package.
    to see if everything is going ok, run the command fgrlxinfo
    If you got a segmentation error, "sudo aticonfig --initial" should help

    finally, if you cant find the AMD configuration control center, you can find it here:
    /usr/lib/fglrx/bin/amdcccle

    I got these information from various forums, they helped me, and I hope they will help you ...

    Where did you find the ati mobility radeon 5470 drivers? They only list the 4000 series under mobility section.

  10. #10
    Join Date
    Mar 2010
    Location
    Australia
    Beans
    5
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: ATI mobility Radeon HD 5470

    @crypto
    Thank you sir you rock, I spent hours trying to get 10-2 to work after reinstalling ubuntu on my wifes acer laptop.

    Where did you find the ati mobility radeon 5470 drivers? They only list the 4000 series under mobility section.
    I followed Crypto's ATI link in his first dot point and got the 10-1 drivers they work beautifully with the mobility radeon 5470.

    Edit:
    I've since tried to upgrade the ATI drivers on my laptop because I wanted to use dual screens and catalyst was not working, I've got a mobility radeon 4650 so thought the 10-3 drivers would help me out, how wrong was I, catalyst still didn't work and my display was God awefully rubbish so I tried the 10-1 drivers and everything works perfectly (oh and I didn't get the annoying watermark either), I'm really starting to wonder about ATI/AMD.
    Last edited by Balian; April 7th, 2010 at 05:09 PM.

Page 1 of 10 123 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •